function DBwriteRL(DATAinsert,idElabData,ListaDate,NodeNum,IDcentralina,DTcatena,conn)
 
nNodo = num2str(NodeNum);
l = ListaDate;

for ii=1:l
    idData = idElabData(ii,1);
    if  idData == 0 % Se la data non è su DB (=0), scrivo i dati
        tablename = 'ELABDATADISP';
        colnames = {'UnitName','ToolNameID','NodeNum','EventDate','EventTime','X',...
            'Y','Z','XShift','YShift','ZShift','T_node','calcerr'};
        data = [DATAinsert(ii,1),DATAinsert(ii,2),DATAinsert(ii,3),...
            DATAinsert(ii,4),DATAinsert(ii,5),DATAinsert(ii,6),...
            DATAinsert(ii,7),DATAinsert(ii,8),DATAinsert(ii,9),...
            DATAinsert(ii,10),DATAinsert(ii,11),DATAinsert(ii,12),DATAinsert(ii,13)];       
        fastinsert(conn,tablename,colnames,data);
    else % altrimenti li aggiorno
        tablename = 'ELABDATADISP';
        colnames = {'X','Y','Z','XShift','YShift','ZShift','T_node','calcerr'};
        data = [DATAinsert(ii,6),DATAinsert(ii,7),...
            DATAinsert(ii,8),DATAinsert(ii,9),DATAinsert(ii,10),DATAinsert(ii,11),...
            DATAinsert(ii,12),DATAinsert(ii,13)];
        whereclause = ['WHERE UnitName = ''' IDcentralina ''' and ToolNameID = ''' ...
            DTcatena ''' and NodeNum = ''' nNodo ''' and EventDate = ''' cell2mat(DATAinsert(ii,4))...
            ''' and EventTime = ''' cell2mat(DATAinsert(ii,5)) ''' '];
        update(conn,tablename,colnames,data,whereclause)
    end
end

end